# XQilla Simple API Documentation

# XQQuery.hpp File Reference

`#include <xqilla/framework/XQillaExport.hpp>`
`#include <vector>`
`#include <string>`
`#include <xercesc/util/XMemory.hpp>`
`#include <xercesc/sax/InputSource.hpp>`
`#include <xqilla/runtime/ResultImpl.hpp>`
`#include <xqilla/context/StaticContext.hpp>`
`#include <xercesc/util/RefHashTableOf.hpp>`
Include dependency graph for XQQuery.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | ModuleCache
class | XQQuery
| Encapsulates a query expression. More...

## Typedefs

typedef std::vector < XQGlobalVariable *, XQillaAllocator < XQGlobalVariable * > > | GlobalVariables
typedef std::vector< XQQuery *, XQillaAllocator< XQQuery * > > | ImportedModules
typedef std::vector < DelayedFuncFactory *, XQillaAllocator < DelayedFuncFactory * > > | DelayedFunctions
typedef xercesc::RefHashTableOf < XQQuery > | ModuleMap

## Typedef Documentation

typedef std::vector<DelayedFuncFactory*, XQillaAllocator<DelayedFuncFactory*> > DelayedFunctions

typedef std::vector<XQGlobalVariable*, XQillaAllocator<XQGlobalVariable*> > GlobalVariables

typedef std::vector<XQQuery*, XQillaAllocator<XQQuery*> > ImportedModules

typedef xercesc:: RefHashTableOf<XQQuery> ModuleMap